"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helper_1 = require("./helper");
const typescript_ilogger_1 = require("typescript-ilogger");
const test_values_1 = require("./test-values");
const error = new Error(`AWS Error`);
const decrypt = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
const encrypt = jest.fn().mockImplementation(() => {
    return Promise.reject(error);
});
jest.mock('@aws-sdk/client-kms', () => {
    return {
        KMS: jest.fn().mockImplementation(() => {
            return {
                decrypt,
                encrypt,
            };
        }),
    };
});
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
const kmsHelperMock = new helper_1.KMSHelper(logger);
const TestValues = new test_values_1.TestingValues();
describe(`${helper_1.KMSHelper.name}.${kmsHelperMock.DecryptAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = kmsHelperMock.DecryptAsync(TestValues.StringValue);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
describe(`${helper_1.KMSHelper.name}.${kmsHelperMock.EncryptAsync.name}`, () => {
    test(`${TestValues.InvalidTest}`, () => {
        const actual = kmsHelperMock.EncryptAsync(TestValues.StringValue);
        return expect(actual).rejects.toThrow(TestValues.AWSError);
    });
});
//# sourceMappingURL=helper-rejects.spec.js.map